/* General Stuff */
* {
	box-sizing: border-box;
}

body {
    background-color: #000;
	font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

p {
    text-decoration: none;
    color: #FD0;
}

/* Checkbox Hack */

.checkboxHack input[type="checkbox"] {
    display: none;
}

.checkboxHack input[type="checkbox"] + .checkboxHack-target {
	transform-origin: center right;
	transform: scaleX(0);
	transition: all 0.2s ease-in-out;
}

.checkboxHack input[type="checkbox"]:checked + .checkboxHack-target {
	transform: scaleX(1);
}
.checkboxHack input[type="checkbox"]:checked + .checkboxHack-target + .index-user {
	width: 30vw;
	opacity: 0.8;
}

/* Page Header */

.header-container {
    background-color: #333;
	display: flex;
	position: sticky;
	top: 0;
	z-index: 500;
	box-shadow: 0 0 12px rgba(0,0,0,0.6);
	padding: 0.8rem 2rem;
}

.header-entry {
    display: block;
    text-decoration: none;
	flex-grow: 1;
}
.header-entry:nth-child(2) {
	text-align: center;
}
.header-entry p {
    display: inline-block;
    font-size: larger;
	margin: 0;
}

.header-entry.caffeine {
	display: flex;
	align-items: center;
	justify-content: center;
}
.header-entry.caffeine p {
	color: #eee;
}
.header-entry.caffeine p > span {
    color: #FD0;
	font-family: "Ubuntu Mono", monospace;
	font-size: larger;
}

.header-user {
    font-weight: bold;
	text-align: right;
}

/* Forms */
.form {
	max-width: 500px;
	text-align: center;
	margin: 0 auto;
}
.form > p {
	display: grid;
	grid-template-columns: 1fr 2fr;
	align-items: center;
	row-gap: 1rem;
	column-gap: 2rem;
	margin-bottom: 2rem;
}

.form label {
	justify-self: flex-end;
}

.form > input {
    display: block;
}
.form input[type=text]:focus {
	border: solid 1px #eee;
}

.form > input[type="submit"] {
	display: inline-block;
}

.form .controls {
	text-align: right;
	margin-top: 4rem;
}

.form > a {
    text-align: right;
    text-decoration: none;
}

input[type=text] {
	background: #555;
	color: #eee;
	border: solid 1px #333;
	outline: 0 !important;
	font-size: large;
	padding: 0.5rem;
}
input[type=submit], .btn {
    background: #FD0;
	color: #333 !important;
	border: none;
	font-size: large;
	padding: 1rem 2rem;
	transition: all 0.2s ease-in-out;
}
input[type=submit]:hover, .btn:hover {
	transform: scale(1.2);
}

/* Pages - Index */
.index-content {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(215px, 1fr));
	grid-gap: 2rem;
	padding: 2rem;
}
.index-content.user-list {
	grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
}

.item {
    display: block;
    background-color: #333;
	padding-bottom: 0.5rem;
}

.item .image {
	position: relative;
	margin-bottom: 1rem;
}

.item .description {
	display: flex;
	align-items: center;
	padding: 0.5rem 1rem;
}

.item p.name {
	flex-grow: 1;
	margin: 0;
}
.item p.price {
	flex-grow: 2;
	margin: 0;
}

.item-confirm p {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0.5em;
    width: 5em;
    height: 15em;
	box-sizing: border-box;
}

.item-confirm .yes {
    font-weight: bold;
    background-color: green;
	height: 100%;
	box-sizing: border-box;
	margin: 0;
	width: 100%;
}

.item-confirm {
    position: absolute;
    width:6em;
	height: 100%;
	top: 0;
	right: 0;
    background-color: #333;
}

.item img {
    width: 100%;
}

.item a {
    text-decoration: none;
}

.item p {
    color: #FD0;
}

.item .name {
    margin: 4px 0px 0px 8px;
	color: #eee;
}

.item .price {
    margin: 0px 8px 0px 0px;
    text-align: right;
    font-style: italic;
	font-size: larger;
}

.index-user {
    display: block;
    position: fixed;
    right: 0;
    bottom: 0;
    width: 8em;
    height: 3em;
    background-color: #333;
    text-decoration: none;
	transition: all 0.2s ease-in-out;
}

.index-user > p {
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0;
    height: 100%;
    font-size: larger;
    font-weight: bold;
}

.balance-red {
    color: black;
    background-color: red;
}

.balance-green {
    background-color: #333;
}


/* Pages - User Create */

.page-user-create img {
    display: block;
    width: 320px;
    margin: 2em auto 0 auto;
}

.page-user-create > p {
    display: block;
    width: 16em;
    margin: 2em auto 2em auto;
}

.page-user-create > .form > a > p {
    margin: 0.2em 0 0 0;
}

/* Pages - User Create Success */

.page-user-create-success {
	text-align: center;
}
.page-user-create-success img {
    display: block;
    width: 320px;
    margin: 4em auto 0 auto;
}

.page-user-create-success p {
    display: block;
    font-weight: bolder;
    margin: 2em auto 2em auto;
    text-align: center;
}

.page-user-create-success a {
    text-decoration: none;
    text-align: center;
	margin-top: 2rem;
}

/* Page - User SignIn Selection */
.user-select {
    background-color: #FFF;
    text-decoration: none;
}

.user-select img {
	width: 100%;
	object-fit: contain;
}

.user-select > .image {
    display: block;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    width: 100%;
    height: 12em;
}

.user-select p {
    display: flex;
    height: 3em;
    margin: 0;
    justify-content: center;
    align-items: center;
    background-color: #333;
    font-weight: bold;
}

/* Page - Sales History */
.sales-heading {
    color: white;
	margin-top: 0;
	font-weight: normal;
	text-shadow: 1px 1px 0 black;
}

.history-content a {
    text-decoration: none;
    color: #FD0;
}

.sales-group {
    display: block;
	font-size: large;
	margin: 2rem 0 1rem 0;
}

.sales-entry {
    display: flex;
    padding-left: 2rem;
	line-height: 1.5em;
}
.sales-entry:nth-of-type(even) {
	background: rgba(255,255,255,0.1);
}
.sales-entry p {
	margin: 0;
}

.sales-entry p[type="time"] {
    width: 3em;
    text-align: left;
	font-family: "Ubuntu Mono", monospace;
	color: #eee;
	flex: 1;
}

.sales-entry p[type="info"] {
    width: 100%;
    text-align: right;
	font-family: "Ubuntu Mono", monospace;
	color: #eee;
	flex: 2;
}

/*.user-history-page {
    position: fixed;
    width: 30vw;
    height: 100%;
    top: 0;
    right: 0;
}*/

.index-userinfo {
    overflow: auto;
    background-color: #555;
	padding: 4rem 2rem 2rem 2rem;
	box-shadow: 0 0 12px rgba(0,0,0,0.6);

    position: fixed;
    width: 30vw;
    height: 100vh;
    top: 0;
    right: 0;
}